package com.sun.appserver.tests.ha.sfsb.sfbtc104;

import javax.ejb.Stateful;
import javax.ejb.EJB;
import javax.ejb.EJBs;
import javax.ejb.Remove;
import javax.ejb.EJBException;
import javax.ejb.SessionContext;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.naming.InitialContext;

import javax.annotation.Resource;
import javax.transaction.UserTransaction;


@Stateful
@TransactionManagement(TransactionManagementType.CONTAINER)


public class StatefulCmtBean implements StatefulCmt {
	 private @Resource SessionContext context;

    private int total; 
   
   /**
     * test method
     */
 @TransactionAttribute(TransactionAttributeType.SUPPORTS)

    public void setItems1() {
        total = 10;
        setItems2();
        
    }

    /**
     * test method
     */
	@TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)

    public void setItems2() {
        total = 19;
        setItems3();
        total = 30; 
    }

    /**
     * test method
     */
 @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)

    public void setItems3() {
        total = 20;

    }
   
    /**
     * test method
     */
 @TransactionAttribute(TransactionAttributeType.NOT_SUPPORTED)

    public int getItems() {
        return total;
       
    }

    
}
