import java.io.*;
import javax.servlet.ServletException;
import javax.servlet.http.*;
import javax.naming.*;
import java.rmi.*;
import javax.rmi.*;
import javax.ejb.*;
import javax.transaction.*;
import com.sun.appserver.tests.ha.sfsb.sfbtc104.*;

public class StatefulCmtServlet extends HttpServlet
{
	HttpSession session;
	PrintWriter out ;
	@EJB StatefulCmt statefulCmtRemote;
	public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    	{
		session=request.getSession(true);
        	out = response.getWriter();
		 out.println("Executed From Instance: <b>"+System.getProperty("com.sun.aas.instanceName") +"</b><br>");


			String method = request.getParameter("method");
						if (method.equals("beforeFailover")) {
							callSFSB();
						}
							if (method.equals("afterFailover")) {
										callSFSBFailover();
			}

	}

public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    	{

		doPost(request, response);

	}

public void callSFSB() {
	try {

                int result = 0;
		result = statefulCmtRemote.getItems();
                out.println("result is ="+result);
		statefulCmtRemote.setItems1();
                result = statefulCmtRemote.getItems();
		out.println("result="+result);


		session.setAttribute("statefulCmtRemote", statefulCmtRemote);
	}
	 catch(Exception e)
         {
		out.println("Exception in StatefulCmtBean"+e.getMessage());
	 }

}


public void callSFSBFailover() {
	try {
        int result = 0;
		statefulCmtRemote = (StatefulCmt)session.getAttribute("statefulCmtRemote");
		if (statefulCmtRemote != null){
			out.println("obtained remote ref from session");
		}

		   result = statefulCmtRemote.getItems();
                out.println("result is ="+result);
		statefulCmtRemote.setItems1();
                result = statefulCmtRemote.getItems();
		out.println("result="+result);


		session.setAttribute("statefulCmtRemote", statefulCmtRemote);

	 }catch(Exception e)
         {
		out.println("Exception in StatefulCmtBean"+e.getMessage());
	 }

}

}
